> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/jobs-api/multi-source-jobs-api/elasticsearch-dsl.md).

# Elasticsearch DSL: Multi-source Jobs API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

Query type:

URL:
{% endcolumn %}

{% column %}
Multi-source Jobs

Elasticsearch DSL

<https://api.coresignal.com/cdapi/v2/job\\_multi\\_source/search/es\\_dsl>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Use the `/v2/job_multi_source/search/es_dsl` endpoint to find company data matching your specifications.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>General Elasticsearch DSL information and usage tips</td><td><a href="/pages/ceComGzswyKc0uD4ke5Q">/pages/ceComGzswyKc0uD4ke5Q</a></td></tr></tbody></table>

## Elasticsearch schema

<details>

<summary>Multi-source Jobs API Elasticsearch schema</summary>

{% code title="Endpoint schema" expandable="true" %}

```json
{
    "mappings": {
        "properties": {
            "job_sources": {
                "type": "nested",
                "properties": {
                    "source_id": {
                        "type": "keyword"
                    },
                    "source": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "updated_at": {
                        "type": "date",
                        "format": "yyyy-MM-dd HH:mm:ss.SSSSSS"
                    },
                    "url": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            },
                            "domain_only": {
                                "type": "text"
                            }
                        }
                    },
                    "status": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    }
                }
            },
            "created_at": {
                "type": "date",
                "format": "yyyy-MM-dd HH:mm:ss"
            },
            "updated_at": {
                "type": "date",
                "format": "yyyy-MM-dd HH:mm:ss"
            },
            "date_posted": {
                "type": "date",
                "format": "yyyy-MM-dd HH:mm:ss"
            },
            "valid_through": {
                "type": "date",
                "format": "yyyy-MM-dd HH:mm:ss"
            },
            "status": {
                "type": "integer"
            },
            "id": {
                "type": "keyword"
            },
            "job_id_expired": {
                "type": "integer"
            },
            "location": {
                "type": "text"
            },
            "country": {
                "type": "text"
            },
            "city": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "state": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "latitude": {
                "type": "double"
            },
            "longitude": {
                "type": "double"
            },
            "title": {
                "type": "text"
            },
            "description": {
                "type": "text"
            },
            "department": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "management_level": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "is_decision_maker": {
                "type": "boolean"
            },
            "seniority": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "functions": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "external_url": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "recruiter": {
                "properties": {
                    "profile_url": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            },
                            "domain_only": {
                                "type": "text"
                            }
                        }
                    },
                    "full_name": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "first_name": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "middle_name": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "last_name": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    }
                }
            },
            "applicants_count": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "employment_type": {
                "type": "text"
            },
            "company_ids": {
                "properties": {
                    "professional_network_company_id_company_id": {
                        "type": "keyword"
                    },
                    "gd_company_id": {
                        "type": "keyword"
                    },
                    "ind_company_id": {
                        "type": "keyword"
                    }
                }
            },
            "company_name": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_url": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    },
                    "domain_only": {
                        "type": "text"
                    }
                }
            },
            "company_domain": {
                "type": "keyword"
            },
            "company_logo_url": {
                "type": "text",
                "index": false
            },
            "company_description": {
                "type": "text"
            },
            "company_size_range": {
                "type": "keyword"
            },
            "company_employees_count": {
                "type": "long"
            },
            "company_followers": {
                "type": "long"
            },
            "company_industry": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_enriched_keywords": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_region": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_country": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_country_iso2": {
                "type": "keyword"
            },
            "company_hq_country_iso3": {
                "type": "keyword"
            },
            "company_hq_location": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_full_address": {
                "type": "text"
            },
            "company_hq_city": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_state": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_hq_street": {
                "type": "text"
            },
            "company_hq_zipcode": {
                "type": "keyword"
            },
            "company_locations_full": {
                "type": "nested",
                "properties": {
                    "location_address": {
                        "type": "text"
                    },
                    "is_primary": {
                        "type": "byte"
                    }
                }
            },
            "company_last_funding_round_type": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_last_funding_round_announced_date": {
                "type": "date",
                "format": "yyyy-MM-dd"
            },
            "company_last_funding_round_lead_investors": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "company_last_funding_round_amount_raised": {
                "type": "long"
            },
            "company_last_funding_round_amount_raised_currency": {
                "type": "keyword"
            },
            "company_last_funding_round_num_investors": {
                "type": "long"
            },
            "company_technologies": {
                "type": "nested",
                "properties": {
                    "technology": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "first_verified_at": {
                        "type": "date",
                        "format": "yyyy-MM-dd"
                    },
                    "last_verified_at": {
                        "type": "date",
                        "format": "yyyy-MM-dd"
                    }
                }
            },
            "company_type": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "salary": {
                "type": "nested",
                "properties": {
                    "min_value": {
                        "type": "double"
                    },
                    "max_value": {
                        "type": "double"
                    },
                    "currency": {
                        "type": "keyword"
                    },
                    "type": {
                        "type": "keyword"
                    },
                    "text": {
                        "type": "text",
                        "fields": {
                            "exact": {
                                "type": "keyword",
                                "null_value": "NULL"
                            }
                        }
                    },
                    "source": {
                        "type": "keyword"
                    }
                }
            },
            "benefits": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "is_urgently_hiring": {
                "type": "boolean"
            },
            "is_easy_apply": {
                "type": "boolean"
            },
            "is_responsive_employer": {
                "type": "boolean"
            },
            "shift_schedule": {
                "type": "text",
                "fields": {
                    "exact": {
                        "type": "keyword",
                        "null_value": "NULL"
                    }
                }
            },
            "accepts_remote": {
                "type": "boolean"
            }
        }
    }
}
```

{% endcode %}

</details>

## Sample request

{% code title="Request example" expandable="true" %}

```json
curl -X 'POST' \
'https://api.coresignal.com/cdapi/v2/job_multi_source/search/es_dsl' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "query": {
    "bool": {
      "must": [
        {
          "match": {
            "title": "product manager"
          }
        },
        {
          "match": {
            "location": "Los Angeles"
          }
        }
      ]
    }
  }
}'
```

{% endcode %}

### Sorting options

Find several examples of the available sorting options. All information about the sorting is in the general [Elasticsearch DSL](/api-introduction/requests/elasticsearch-dsl.md#sorting-options) topic.

{% tabs %}
{% tab title="Sort by score" %}
{% code title="Sort by score" %}

```json
{
    "query": {
      "match":{
         "location":{
            "query":"Los Angeles",
            "operator":"and"
         }
      }
   },
    "sort": [
        "_score"
    ]
}
```

{% endcode %}
{% endtab %}

{% tab title="Sort by id" %}
{% code title="Sort by id" %}

```json
{
    "query": {
      "match":{
         "location":{
            "query":"Los Angeles",
            "operator":"and"
         }
      }
   },
    "sort": [
        "id"
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

#### Additional sorting fields

Multi-source Jobs API includes **additional numerical sorting options**. Sorting is made in descending order by a selected field. If several fields have the same value, sorting is made by the `last_updated` field. If the `last_updated` values are also the same, sorting is then done by the `id` field. Sorting fields are listed below:

* `company_employees_count`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/jobs-api/multi-source-jobs-api/elasticsearch-dsl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
